#!/bin/bash
# Copyright © Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2021 All Rights Reserved
#
# Licensed under CLOUD LINUX LICENSE AGREEMENT
# http://cloudlinux.com/docs/LICENSE.TXT

# Note: Also called from Debian
# Arguments:

# RPM
# $1 == 1 - install package
# $1 == 2 - upgrade package

# DEB
# $1 == configure - RPM post/posttrans

# "liblsapi POST INSTALL STARTED"

/sbin/ldconfig
SECRET_FILE=/etc/sysconfig/modlsapi.secret

if [ ! -e /etc/sysconfig/modlsapi.secret ]; then
  /bin/dd if=/dev/urandom of=${SECRET_FILE} bs=16 count=1
  /bin/chown root:root ${SECRET_FILE}
  /bin/chmod 400 ${SECRET_FILE}
fi

# "liblsapi POST INSTALL FINISHED"
